Module tdlight.api
Package it.tdlight.jni

# Class TdApi.BusinessAwayMessageSettings

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.BusinessAwayMessageSettings

Enclosing class:
  TdApi

public static final class TdApi.BusinessAwayMessageSettings extends TdApi.Object
Describes settings for messages that are automatically sent by a Telegram Business account when it is away.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`offlineOnly`
True, if the messages must not be sent if the account was online in the last 10 minutes.
`TdApi.BusinessRecipients`
`recipients`
Chosen recipients of the away messages.
`TdApi.BusinessAwayMessageSchedule`
`schedule`
Settings used to check whether the current user is away.
`int`
`shortcutId`
Unique quick reply shortcut identifier for the away messages.

## Constructor Summary

Constructors
Constructor
Description
`BusinessAwayMessageSettings()`
Describes settings for messages that are automatically sent by a Telegram Business account when it is away.
`BusinessAwayMessageSettings(int shortcutId, TdApi.BusinessRecipients recipients, TdApi.BusinessAwayMessageSchedule schedule, boolean offlineOnly)`
Describes settings for messages that are automatically sent by a Telegram Business account when it is away.
`BusinessAwayMessageSettings(DataInput input)`
Describes settings for messages that are automatically sent by a Telegram Business account when it is away.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### shortcutId

public int shortcutId
Unique quick reply shortcut identifier for the away messages.

### recipients

public TdApi.BusinessRecipients recipients
Chosen recipients of the away messages.

### schedule

public TdApi.BusinessAwayMessageSchedule schedule
Settings used to check whether the current user is away.

### offlineOnly

public boolean offlineOnly
True, if the messages must not be sent if the account was online in the last 10 minutes.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### BusinessAwayMessageSettings

public BusinessAwayMessageSettings()
Describes settings for messages that are automatically sent by a Telegram Business account when it is away.

### BusinessAwayMessageSettings

public BusinessAwayMessageSettings(int shortcutId, TdApi.BusinessRecipients recipients, TdApi.BusinessAwayMessageSchedule schedule, boolean offlineOnly)
Describes settings for messages that are automatically sent by a Telegram Business account when it is away.

Parameters:
  `shortcutId` - Unique quick reply shortcut identifier for the away messages.
  `recipients` - Chosen recipients of the away messages.
  `schedule` - Settings used to check whether the current user is away.
  `offlineOnly` - True, if the messages must not be sent if the account was online in the last 10 minutes.

### BusinessAwayMessageSettings

public BusinessAwayMessageSettings(DataInput input) throws IOException
Describes settings for messages that are automatically sent by a Telegram Business account when it is away.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`